
Redmine - Defect #9411

Number of issues closed / open in Roadmap include private even on restricted accounts

2011-10-12 17:05 - claude g

Status: Closed Start date: 2011-10-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.0

Description

The roadmap of one of our software indicates 20 closed / 0 open (cool everything is ready for delivery !). Among the 20 closed :

10 are private,

10 are public,

If I connect with a public user (the client) :

the detailed list of issues is correct : 10 public issues are shown only

BUT the totals are wrong indicating 20 closed / 0 open => they know how many private issues have been corrected !

More : if I click on the link of total issue closed (similar to 

http://www.redmine.org/projects/redmine/issues?fixed_version_id=38&set_filter=1&status_id=c), the issue list displays only public

issues but again which is correct but the total (near pagination below the table) is still at (1-20/20) instead of (1-10/10) for an account

that can't see private issue.

Related issues:

Related to Redmine - Defect #8633: Pagination counts non visible issues Closed 2011-06-16

Is duplicate of Redmine - Defect #15248: Ticket count in roadmap view wrong Closed

History

#1 - 2011-10-26 06:23 - Mischa The Evil

- Assignee set to Mischa The Evil

I'll see if I can replicate this issue after the changes made for #8633.

#2 - 2011-11-24 22:00 - Jean-Philippe Lang

The number displayed on the roadmap are the total issue counts, since a version's progress does not depend on the user visibility.

BTW, pagination count is fixed.

#3 - 2011-11-26 22:13 - Mischa The Evil

- Assignee deleted (Mischa The Evil)

Mischa The Evil wrote:

I'll see if I can replicate this issue after the changes made for #8633.

 Jean-Philippe Lang wrote:

[...]

BTW, pagination count is fixed.

#4 - 2011-11-26 22:26 - Mischa The Evil

claude guerin wrote:
[...]

they know how many private issues have been corrected !

 Jean-Philippe Lang wrote:

The number displayed on the roadmap are the total issue counts, since a version's progress does not depend on the user visibility.

How does this affect this issue? Should we:

close the issue with resolution wont fix?

change it to the feature tracker as a request to also take the issue visibility into account on the roadmap/version issue counts (which will then

maybe also affect the issues report)?

leave it as a defect as it is now?

#5 - 2015-03-25 17:15 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #15248.

#6 - 2015-03-25 17:16 - Toshi MARUYAMA

- Is duplicate of Defect #15248: Ticket count in roadmap view wrong added
